# SoftHSM v2 configuration file

# Name (with full path) of the Unix daemon socket for secure database server
sockets.serversock = @softhsmserversock@

# Name (with full path) of the Unix daemon socket for softhsm client
sockets.clientsock = @softhsmclientsock@

# Base address of the secure database key location (should be internal memory)
secstore.key.addr = @secstorekeyaddr@

# Size of the secure database key location
secstore.key.size = @secstorekeysize@

# Base address of the secure database (should be internal memory)
secstore.mem.addr = @secstorememaddr@

# Maximum size of the secure database
secstore.mem.size = @secstorememsize@

# Name (with full path) of the secure database file0 (should be in non-volatile memory (ubifs))
secstore.file0 = @secstorefile0@

# Name (with full path) of the secure database file1 (should be in non-volatile memory (ubifs))
secstore.file1 = @secstorefile1@

# Whether internal memory should be used for Openssl dynamic allocations
# valid configurations are yes/no.
secstore.osslheap.internal = @internal_ossl_heap@
